
/*
   Project:     SOFTSUSY 
   File:        utils.cpp
   Author:      Ben Allanach 
   Manual:      hep-ph/0104145, Comp. Phys. Comm. 143 (2002) 305 
   Webpage:     http://allanach.home.cern.ch/allanach/softsusy.html

   $Log: utils.cpp,v $
   Revision 1.4  2002/05/23 21:33:40  allanach
   *** empty log message ***

   Revision 1.3  2002/05/01 16:02:20  allanach
   Added checkTolerance subroutine

 */

#include "utils.h"

// a < b, or error message
void check(double a, double b, char * fnname) {
  if (a > b)
    {
      cout << "Error in " << fnname << ", error=" << a << " > tolerance " <<
	b; 
      exit(1);
    }
}

int theta(double a) {
  int temp = 0;
  if (a > 0.0) temp = 1;
  return temp;
}

// Just sets precision and format of outputs
void outputCharacteristics(int n) {
  cin.setf(ios::scientific, ios::floatfield);
  cin.precision(n);
  cout.setf(ios::scientific, ios::floatfield);
  cout.precision(n);
  cerr.setf(ios::scientific, ios::floatfield);
  cerr.precision(n);
}

// Finds fractional difference between |a| and |b|
double toleranceCheck(double a, double b) {
  double sTin = fabs(a), sTout = fabs(b);
  double maxx = maximum(sTin, sTout);

  if (maxx == 0.0) return 0.0;
  return fabs(1.0 - minimum(sTin, sTout) / maxx);
}


